<template>
  <div class="logLog_box">
    <My-bread :list="['运维管理', '操作日志']"></My-bread>
    <el-divider />
    <div class="inquire">
      <el-form ref="formData1" :model="form" :inline="true">
        <el-form-item label="登录地址" prop="name">
          <el-input v-model="form.name" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="登录名称" prop="jurisdiction">
          <el-input v-model="form.jurisdiction" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="登录状态" prop="region">
          <el-select v-model="form.region" placeholder="请选择">
            <el-option label="Zone one" value="shanghai" />
            <el-option label="Zone two" value="beijing" />
          </el-select>
        </el-form-item>
        <el-form-item label="登录时间">
          <el-col :span="11">
            <el-date-picker
              type="date"
              placeholder="选择日期"
              v-model="form.date1"
              style="width: 100%"
            ></el-date-picker>
          </el-col>
          <el-col class="line text-center" :span="2">-</el-col>
          <el-col :span="11">
            <el-time-picker
              placeholder="选择时间"
              v-model="form.date2"
              style="width: 100%"
            ></el-time-picker>
          </el-col>
        </el-form-item>
        <el-form-item>
          <el-button @click="onSubmit">查询</el-button>
        </el-form-item>
      </el-form>
      <div class="btn_box">
        <el-button>添加</el-button>
        <el-button>修改</el-button>
        <el-button>导出</el-button>
        <el-button>清空</el-button>

      </div>
    </div>
    <div class="table_box">
      <el-table :data="tableData" stripe style="width: 100%">
        <el-table-column type="selection" width="55" />
        <el-table-column prop="Accessnumber" label="访问编号" />
        <el-table-column prop="name" label="登录名称" />
        <el-table-column prop="ip" label="登录地址" />
        <el-table-column prop="loginaddress" label="登录地点" />
        <el-table-column prop="browser" label="浏览器" />
        <el-table-column prop="operatingsystem" label="操作系统" />
        <el-table-column prop="state" label="操作状态" />
        <el-table-column prop="operatinginformation" label="操作信息" />
        <el-table-column prop="date" label="登录时间" />
        <el-table-column fixed="right" label="操作" width="100">
          <template #default>
            <el-button type="primary" size="small">删除</el-button>
          </template>
        </el-table-column>
      </el-table>
      <div style="margin-top: 40px" class="pagination_box">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="currentPage4"
          :page-sizes="[10, 20, 30, 40]"
          :page-size="10"
          layout="total, sizes, prev, pager, next, jumper"
          :total="9"
        >
        </el-pagination>
      </div>
    </div>
  </div>
</template>

<script>
import MyBread from "../../components/MyBread.vue";

export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    MyBread,
  },

  data() {
    return {
      currentPage4: 1,
      form: {
        name: "",
        region: "",
        jurisdiction: "",
      },
      tableData: [
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "chrome",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "IE11",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "chrome",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "chrome",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "chrome",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "IE11",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "chrome",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "chrome",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "IE11",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
      ],
    };
  },
  methods: {
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      console.log(`当前页: ${val}`);
    },
    onSubmit() {
      console.log("submit!");
    },
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.logLog_box {
  background: rgb(240, 242, 245);
  border-radius: 10px;
  height: 100%;
  padding: 10px;
  box-sizing: border-box;
  .inquire {
    padding: 10px;
    margin-top: 20px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
    margin-bottom: 20px;
  }
  .table_box {
    padding: 10px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
  }
  .text-center {
    text-align: center;
  }
}
</style>
